=== debian/changelog ===
apycula (0.8.1+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #1037306)

 -- Daniel Gröber <dxld@darkboxed.org>  Sat, 10 Jun 2023 21:43:25 +0200
