=== debian/changelog ===
apycula (0.10.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Simon Richter <sjr@debian.org>  Fri, 09 Feb 2024 23:42:41 +0900

apycula (0.9.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Simon Richter <sjr@debian.org>  Sun, 01 Oct 2023 05:05:11 +0900

apycula (0.9.0+dfsg1-2) unstable; urgency=medium

  * Source-only upload (unchanged) to allow testing migration

 -- Simon Richter <sjr@debian.org>  Mon, 25 Sep 2023 22:57:01 +0900

apycula (0.9.0+dfsg1-1) unstable; urgency=medium

  * Move to electronics Section
  * Fix missing dfsg1 suffix
  * New upstream version 0.9.0+dfsg1

 -- Daniel Gröber <dxld@darkboxed.org>  Wed, 06 Sep 2023 02:32:51 +0200
