=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,\
repacksuffix=+dfsg1 \
https://pypi.debian.net/Apycula/Apycula-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
