## apycula 0.12+dfsg1

=== Makefile ===
--- 
+++ 
@@ -8,10 +8,7 @@
 	 apycula/GW1NS-2.pickle apycula/GW1NS-4.pickle apycula/GW1N-9C.pickle \
 	 apycula/GW1NZ-1.pickle apycula/GW2A-18.pickle apycula/GW2A-18C.pickle
 
-%.json: apycula/dat19_h4x.py
-	python3 -m apycula.dat19_h4x $*
-
-%_stage1.pickle: apycula/tiled_fuzzer.py %.json
+%_stage1.pickle: apycula/tiled_fuzzer.py
 	python3 -m apycula.tiled_fuzzer $*
 
 %_stage2.pickle: apycula/clock_fuzzer.py %_stage1.pickle
@@ -21,6 +18,6 @@
 	gzip -c $< > $@
 
 clean:
-	rm *.json
-	rm *.pickle
-	rm apycula/*.pickle
+	rm -f *.json
+	rm -f *.pickle
+	rm -f apycula/*.pickle
