=== debian/changelog ===
apycula (0.12+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Simon Richter <sjr@debian.org>  Sat, 04 May 2024 21:44:51 +0900

apycula (0.11.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Simon Richter <sjr@debian.org>  Sat, 04 May 2024 14:35:13 +0200
