## apycula 0.14+dfsg1

=== debian/changelog ===
apycula (0.14+dfsg1-2) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix SyntaxWarning (Closes: #1085325).

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 21 Oct 2024 21:08:14 -0300

apycula (0.14+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Simon Richter <sjr@debian.org>  Sat, 12 Oct 2024 23:27:33 +0900
