## apycula 0.15%2Bdfsg1

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,10 @@
 %_stage2.pickle: apycula/clock_fuzzer.py %_stage1.pickle
 	python3 -m apycula.clock_fuzzer $*
 
-apycula/%.pickle: %_stage2.pickle
+%_stage3.pickle: apycula/find_sdram_pins.py %_stage2.pickle
+	python3 -m apycula.find_sdram_pins $*
+
+apycula/%.pickle: %_stage3.pickle
 	gzip -c $< > $@
 
 clean:
