=== debian/changelog ===
apycula (0.15+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 01 Dec 2024 20:46:39 -0300
