=== debian/control ===
Source: apycula
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Daniel Gröber <dxld@darkboxed.org>
Section: electronics
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-setuptools-scm
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/electronics-team/apycula
Vcs-Git: https://salsa.debian.org/electronics-team/apycula.git
Homepage: https://github.com/YosysHQ/apicula

Package: python3-apycula
Provides: fpga-apicula
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Tools to generate Gowin FPGA bitstreams
 Project Apicula provides documentation and tools for the bitstream format
 used by Gowin GW1N series of FPGAs.
 .
 This package contains the bitstream tools, apycula python library and
 chipdb files.
