## apycula 0.16+dfsg1

=== debian/changelog ===
apycula (0.16+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.16+dfsg1
  * d/copyright: Remove examples/deser/* files from Files-Excluded.
  * d/patches/fix-syntax-warning.patch: Remove patch, it was already
    fixed in upstream.
  * d/control: Add python3-crc as binary dependency (Closes: #1091427).
  * d/control: Bump Standards-Version to 4.7.2 (from 4.6.2; no further
    changes needed).
  * d/control: Add Rules-Requires-Root: no in the source stanza.

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 16 Mar 2025 19:21:27 -0300
