## apycula 0.17+dfsg1

=== Makefile ===
--- 
+++ 
@@ -11,13 +11,10 @@
 %_stage1.pickle: apycula/tiled_fuzzer.py
 	python3 -m apycula.tiled_fuzzer $*
 
-%_stage2.pickle: apycula/clock_fuzzer.py %_stage1.pickle
-	python3 -m apycula.clock_fuzzer $*
-
-%_stage3.pickle: apycula/find_sdram_pins.py %_stage2.pickle
+%_stage2.pickle: apycula/find_sdram_pins.py %_stage1.pickle
 	python3 -m apycula.find_sdram_pins $*
 
-apycula/%.pickle: %_stage3.pickle
+apycula/%.pickle: %_stage2.pickle
 	gzip -c $< > $@
 
 clean:
