=== debian/changelog ===
apycula (0.17+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.17+dfsg1

 -- Daniel Gröber <dxld@darkboxed.org>  Mon, 24 Mar 2025 18:16:02 +0100
