=== debian/control ===
--- 
+++ 
@@ -9,19 +9,19 @@
  python3-all,
  python3-setuptools,
  python3-setuptools-scm
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/electronics-team/apycula
 Vcs-Git: https://salsa.debian.org/electronics-team/apycula.git
 Homepage: https://github.com/YosysHQ/apicula
+Rules-Requires-Root: no
 
 Package: python3-apycula
 Provides: fpga-apicula
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, python3-crc
 Description: Tools to generate Gowin FPGA bitstreams
  Project Apicula provides documentation and tools for the bitstream format
  used by Gowin GW1N series of FPGAs.
  .
  This package contains the bitstream tools, apycula python library and
  chipdb files.
-
