=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# This file was automatically generated by stdeb 0.10.0 at
# Sat, 10 Jun 2023 21:43:25 +0200
export PYBUILD_NAME=apycula

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf Apycula.egg-info
