=== debian/changelog ===
apycula (0.22+dfsg1-1) unstable; urgency=medium

  * Update packaging for 0.22

 -- Daniel Gröber <dxld@darkboxed.org>  Sat, 28 Feb 2026 23:43:27 +0100
