=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,3 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
-
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -rf Apycula.egg-info
